# disable no_undefined, otherwise it fails on linking src
%define _disable_ld_no_undefined 1

%bcond_with docs

%define	lib_name_orig libclanlib
%define	lib_major 0.8
%define	lib_name %mklibname clanlib %{lib_major}

Name:		clanlib0.8
Summary:	The ClanLib Game SDK
Version:	0.8.1
Release:	%mkrel 24
License:	BSD-like
Group:		System/Libraries
Source0:	http://www.clanlib.org/download/releases-%{lib_major}/ClanLib-%version.tgz
Patch0:		clanlib-0.8.1-gcc43.patch
Patch1:		clanlib-0.8.1-ndebug.patch
Patch2:		clanlib-0.8.1-gcc44.patch
Patch3:		clanlib-0.8.1-libpng1.5.patch
Patch4:		clanlib-0.8.1-link.patch
Patch5:		clanlib-0.8.1-gcc47.patch
Patch6:		clanlib-0.8.1-gcc7.patch
Patch7:		clanlib-0.8.10-perl-5.26.patch
Patch8:		clanlib-0.8.1-autotools.patch
URL:		http://www.clanlib.org/
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(SDL_gfx)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:  libxslt-proc

Obsoletes:	ClanLib
Provides:	ClanLib = %{version}-%{release}

%description
The ClanLib Game SDK is a crossplatform game library designed to ease the work
for game developers. The goal is to provide a common interface to classical
game problems (loading graphics eg.), so games can share as much code as
possible. Ideally anyone with small resources should be able to write
commercial quality games.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{lib_name}-gl = %{version}-%{release}
Requires:	%{lib_name}-gui = %{version}-%{release}
Requires:	%{lib_name}-mikmod = %{version}-%{release}
Requires:	%{lib_name}-network = %{version}-%{release}
Requires:	%{lib_name}-sound = %{version}-%{release}
Requires:	%{lib_name}-vorbis = %{version}-%{release}
Requires:	%{lib_name}-sdl = %{version}-%{release}
Requires:	%{lib_name}-signals = %{version}-%{release}
Requires:	%{lib_name}-guistylesilver = %{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Obsoletes:	ClanLib-devel clanlib-devel
Provides:	ClanLib-devel = %{version}-%{release} clanlib-devel = %{version}-%{release} %{name}-devel
Conflicts:	clanlib0.6-devel

%description -n	%{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{lib_name}-static-devel
Summary:	Static libraries for %{name}
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Obsoletes:	ClanLib-static-devel clanlib-static-devel
Provides:	ClanLib-static-devel = %{version}-%{release} clanlib-static-devel = %{version}-%{release}

%description -n	%{lib_name}-static-devel
This package contains the static libraries for %{name}.

%package -n	%{lib_name}-sound
Summary:	ClanLib Sound module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-sound

%description -n	%{lib_name}-sound
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Sound module (clanSound).

%package -n	%{lib_name}-vorbis
Summary:	ClanLib Vorbis module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-vorbis

%description -n	%{lib_name}-vorbis
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Vorbis module (clanVorbis).

%package -n	%{lib_name}-network
Summary:	ClanLib Network module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-network

%description -n	%{lib_name}-network
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Network module (clanNetwork).

%package -n	%{lib_name}-gui
Summary:	ClanLib Gui module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-gui

%description -n	%{lib_name}-gui
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Gui module (clanGUI).

%package -n	%{lib_name}-gl
Summary:	ClanLib GL module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-gl

%description -n	%{lib_name}-gl
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the GL module (clanGL).

%package -n	%{lib_name}-mikmod
Summary:	ClanLib MikMod module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	ClanLib-mikmod clanlib-mikmod
Provides:	ClanLib-mikmod = %{version}-%{release} clanlib-mikmod = %{version}-%{release}
Provides:	%{lib_name_orig}-mikmod

%description -n	%{lib_name}-mikmod
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the MikMod module (clanMikMod).

%package -n	%{lib_name}-sdl
Summary:	ClanLib SDL module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	ClanLib-sdl clanlib-sdl
Provides:	ClanLib-sdl = %{version}-%{release} clanlib-sdl = %{version}-%{release}
Provides:	%{lib_name_orig}-sdl

%description -n	%{lib_name}-sdl
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the SDL module (clanSDL).

%package -n	%{lib_name}-signals
Summary:	ClanLib Signals module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	ClanLib-png clanlib-signals
Provides:	ClanLib-png = %{version}-%{release} clanlib-signals = %{version}-%{release}
Provides:	%{lib_name_orig}-signals

%description -n	%{lib_name}-signals
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the Signals module (clanSignals).

%package -n	%{lib_name}-guistylesilver
Summary:	ClanLib GUIStyleSilver module
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	ClanLib-png clanlib-guistylesilver
Provides:	ClanLib-png = %{version}-%{release} clanlib-guistylesilver = %{version}-%{release}
Provides:	%{lib_name_orig}-guistylesilver

%description -n	%{lib_name}-guistylesilver
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package is the GUIStyleSilver module
(clanGUIStyleSilver).

%if %with docs
%package	docs
Summary:	ClanLib documentation
Group:		Documentation
Obsoletes:	ClanLib-docs clanlib-docs
Provides:	ClanLib-docs = %{version}-%{release} clanlib-docs = %{version}-%{release}

%description	docs
The ClanLib Game SDK is a crossplatform game library designed to ease the
work for game developers. This package contains the documentation.
%endif

%prep
%setup -q -n ClanLib-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1 -b .gcc7
%patch7 -p1 -b .perl526
%patch8 -p1

%build
# to recognize aarch64
autoreconf -vfi

#--disable-debug --with-pic --enable-clanDisplay
%configure	--enable-dyn \
		--disable-debug \
		--with-pic \
		--disable-docs \
		--enable-clanDisplay \
		--enable-clanSDL \
		--enable-clanGL \
		--enable-clanSound \
		--enable-clanNetwork \
		--enable-clanGUI \
		--enable-clanMikMod \
		--enable-clanVorbis \
%ifarch %{ix86}
		--enable-asm386
%endif

%make_build all

%install
%makeinstall BIN_PREFIX=$RPM_BUILD_ROOT%{_bindir} LIB_PREFIX=$RPM_BUILD_ROOT%{_libdir} INC_PREFIX=$RPM_BUILD_ROOT%{_includedir} TARGET_PREFIX=$RPM_BUILD_ROOT%{_libdir}/ClanLib
#make MAN_PREFIX=$RPM_BUILD_ROOT%{_mandir} HTML_PREFIX=$RPM_BUILD_ROOT%{_datadir}/doc/%{name}-docs-%{version}/Docs docs_install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
ln -s ClanLib-0.7 $RPM_BUILD_ROOT%{_includedir}/ClanLib

%files -n %{lib_name}
%doc README COPYING CREDITS
%{_libdir}/libclanCore-%{lib_major}.so.*
%{_libdir}/libclanApp-%{lib_major}.so.*
%{_libdir}/libclanDisplay-%{lib_major}.so.*

%files -n %{lib_name}-devel
%doc README COPYING CODING_STYLE ascii-logo
%{_libdir}/*.so
%{_includedir}/ClanLib-%{lib_major}
%{_includedir}/ClanLib
#%%{_bindir}/clanlib-config
%{_libdir}/pkgconfig/*.pc

%files -n %{lib_name}-static-devel
%{_libdir}/*.a

%if %with docs
%files docs
%{_docdir}/clanlib
%endif

%files -n %{lib_name}-mikmod
%{_libdir}/libclanMikMod-%{lib_major}.so.*

%files -n %{lib_name}-network
%{_libdir}/libclanNetwork-%{lib_major}.so.*

%files -n %{lib_name}-vorbis
%{_libdir}/libclanVorbis-%{lib_major}.so.*

%files -n %{lib_name}-sound
%{_libdir}/libclanSound-%{lib_major}.so.*

%files -n %{lib_name}-gui
%{_libdir}/libclanGUI-%{lib_major}.so.*

%files -n %{lib_name}-gl
%{_libdir}/libclanGL-%{lib_major}.so.*

%files -n %{lib_name}-sdl
%{_libdir}/libclanSDL-%{lib_major}.so.*

%files -n %{lib_name}-signals
%{_libdir}/libclanSignals-%{lib_major}.so.*

%files -n %{lib_name}-guistylesilver
%{_libdir}/libclanGUIStyleSilver-%{lib_major}.so.*



%changelog
* Sun Nov 01 2020 wally <wally> 0.8.1-24.mga8
+ Revision: 1641173
- rebuild with fixed autoconf-2.69c.13-5147.2

* Wed Feb 19 2020 tv <tv> 0.8.1-23.mga8
+ Revision: 1543988
- fix build by disabling docs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 28 2018 luigiwalser <luigiwalser> 0.8.1-22.mga7
+ Revision: 1345717
- rebuild for SDL_gfx

* Sat Sep 22 2018 umeabot <umeabot> 0.8.1-21.mga7
+ Revision: 1296283
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 0.8.1-20.mga7
+ Revision: 1234749
- fix build on aarch64
- drop unrecognized configure options

* Tue Sep 12 2017 cjw <cjw> 0.8.1-19.mga7
+ Revision: 1153100
- patches 6+7: fix build with new gcc and perl

* Thu Feb 11 2016 umeabot <umeabot> 0.8.1-18.mga6
+ Revision: 953638
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 cjw <cjw> 0.8.1-17.mga6
+ Revision: 869310
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-16.mga5
+ Revision: 747715
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.8.1-15.mga5
+ Revision: 693617
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-14.mga5
+ Revision: 678413
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.8.1-13.mga5
+ Revision: 591714
- rebuild for SDL_gfx

* Sat Oct 19 2013 umeabot <umeabot> 0.8.1-12.mga4
+ Revision: 525899
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.8.1-11.mga4
+ Revision: 434942
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 0.8.1-10.mga3
+ Revision: 347822
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 0.8.1-9.mga3
+ Revision: 345433
- rebuild for new SDL_gfx

* Mon Dec 24 2012 fwang <fwang> 0.8.1-8.mga3
+ Revision: 334648
- update rpm group
- fix build with gcc 4.7

* Tue Sep 20 2011 fwang <fwang> 0.8.1-8.mga2
+ Revision: 146024
- add back workround
- fix overlining
- add br
- fix br
- fix build with libpng 1.5
- rebuild for new libpng

* Tue Mar 29 2011 steletch <steletch> 0.8.1-6.mga1
+ Revision: 78636
- Clean spec file
- imported package clanlib0.8


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.1-6mdv2011.0
+ Revision: 610140
- rebuild

* Sun Sep 27 2009 Götz Waschk <waschk@mandriva.org> 0.8.1-5mdv2010.0
+ Revision: 450114
- rebuild for new SDL_gfx
- update license

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 0.8.1-4mdv2010.0
+ Revision: 417446
- fix build

* Mon Apr 13 2009 Michael Scherer <misc@mandriva.org> 0.8.1-3mdv2009.1
+ Revision: 366768
- rebuilt for new gcc ( i guess ) as this prevent trophy crash ( found by Stormi, bug 49361 )

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 0.8.1-2mdv2009.0
+ Revision: 271833
- rebuild

* Sat Jul 05 2008 Funda Wang <fwang@mandriva.org> 0.8.1-1mdv2009.0
+ Revision: 231959
- disable no_undefined
- Add gentoo patches
- New version 0.8.1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.8.0-6.826.1mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 0.8.0-6.826.1mdv2008.0
+ Revision: 71946
- use svn version to fix building clanlib 0.8 based app

* Sun May 27 2007 Funda Wang <fwang@mandriva.org> 0.8.0-5mdv2008.0
+ Revision: 31746
- Build against directfb 1.0


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-4mdv2007.0
+ Revision: 100709
- fix buildrequires
- rebuild

* Sat Aug 19 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.0-3mdv2007.0
+ Revision: 56721
- update to 0.8.0 final

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Import clanlib0.8

* Wed Nov 09 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.0-2mdk
- Fix BuildRequires

* Wed Nov 09 2005 Guillaume Bedot <littletux@mandriva.org> 0.8.0-0.RC1.1mdk
- New package for clanlib 0.8.0 (heavily based on 0.7 one)

